package com.tzld.piaoquan.recommend.server.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */

@NoArgsConstructor
@Getter
@Setter
public class RecommendParam {
    private int topK;
    private double flowPoolP;
    private String ruleKey;
    private String dataKey;

    private String rankKeyPrefix;
    private int appType;
    private Long videoId;
    private String cityCode;
    private String provinceCode;
    private String mid;
    private int size;
    private String uid;

    private String regionCode;
    private MachineInfo machineInfo;
    private String province;
    private String city;
    private Set<String> abExpCodes;
    private boolean riskUser;

    private Integer categoryId;

    private Long hotSceneType;

    private String clientIp;

}

